extends Node

@export var enemy_scene: PackedScene
@export var spawn_locations: Array[Node3D] = []

func _on_timer_timeout() -> void:
	if enemy_scene:
		var enemy = enemy_scene.instantiate()
		var index = randi_range(0, spawn_locations.size() - 1)
		enemy.position = spawn_locations[index].position
		add_child(enemy)
